Package org.apache.sysds.runtime.compress.lib

# Class CLALibBinaryCellOp

java.lang.Object
org.apache.sysds.runtime.compress.lib.CLALibBinaryCellOp

public final class CLALibBinaryCellOp extends Object

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`DECOMPRESSION_BLEN`

## Method Summary

Modifier and Type
Method
Description
`static MatrixBlock`
`binaryOperationsLeft(BinaryOperator op, CompressedMatrixBlock m1, MatrixBlock that)`
`static MatrixBlock`
`binaryOperationsRight(BinaryOperator op, CompressedMatrixBlock m1, MatrixBlock that)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### DECOMPRESSION_BLEN

public static final int DECOMPRESSION_BLEN

See Also:
  - Constant Field Values

## Method Details

### binaryOperationsRight

public static MatrixBlock binaryOperationsRight(BinaryOperator op, CompressedMatrixBlock m1, MatrixBlock that)

### binaryOperationsLeft

public static MatrixBlock binaryOperationsLeft(BinaryOperator op, CompressedMatrixBlock m1, MatrixBlock that)